Page MenuHomePhabricator

Add a new public collection feed view
Closed, ResolvedPublic5 Story Points

Description

A user who clicks on the collection item sees a header at the top of Special:Gather that allows them to select between "Popular" and "My collections"

  • Tab defaults to "Popular"

When clicking "Popular" they see a view of a collection is formatted the same as the users own lists and is a subset of collections that:

    • Have more than 3 items
    • Sorted by most recently modified
  • When anonymous clicking my collections takes you to the login page.


Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
KHammerstein updated the task description. (Show Details)

Mock still needed..

KHammerstein updated the task description. (Show Details)
Jdlrobson moved this task from This Sprint to Must haves on the Gather board.Apr 30 2015, 5:35 PM
Jdlrobson edited a custom field.Apr 30 2015, 5:54 PM
KHammerstein updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jun 2 2015, 7:31 PM
Jdlrobson claimed this task.
Jdlrobson moved this task from Doing to To Do on the Mobile-Web-Sprint-49-Wayne's-World board.
Jdlrobson removed Jdlrobson as the assignee of this task.
Jdlrobson claimed this task.
Jdlrobson added a comment.EditedJun 11 2015, 7:01 PM

@KHammerstein The tab is "popular" wouldn't "Recent" or "Active" be more true?

Change 217712 had a related patch set uploaded (by Jdlrobson):
Add the public collection

https://gerrit.wikimedia.org/r/217712

Hey @Jdlrobson have a look at the original patch, and the email I sent you.

Not sure if we should merge this given the blocking task that @Tgr added.

BTW, sorry, but in the email I just said that I reviewed and changed a bit the patch of this task, and rebased and +2d all the follow up patches of this one.

So merging the patch on this task will merge the dependent patches.

We can merge. The blocking task is not a big deal. We don't say anywhere on the page "items with more than x items" so it's not like there is an inconsistency from the user perspective. It's just something we have to make sure we fix simultaneously.

Change 217712 merged by jenkins-bot:
Add the public collection

https://gerrit.wikimedia.org/r/217712

This is now blocked on the rendering issues with Mustache..

Moving to "Ready for Signoff" since the patch has been merged.

There are still blocked by tasks. This still needs work.

Moving this task out of the "Code Review" column until the blockers are resolved.

This is a sub task of T102188 - https://gerrit.wikimedia.org/r/218731 needs review. I'm not actually doing any work on it right now I'm waiting for the patches to be reviewed.

Now that T102941 has been merged, is T101918 still a blocker?

JKatzWMF closed this task as Resolved.